[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# LoadResource

Load a resource for use

## Declaration

Source position: resh.inc line 62

`function LoadResource(`
`ModuleHandle: TFPResourceHMODULE;`
`ResHandle: TFPResourceHandle`
`):TFPResourceHGLOBAL;`

## Description

LoadResource loads a resource identified by ResHandle from a module identified by ModuleHandleinto memory. It returns a handle to the resource.

Loaded resources must be unloaded again using the FreeResource function.

## Errors

On error, 0 is returned.

## See also

FindResource |  | Locate a resource and return a handle to it.
FreeResource |  | Free a loaded resource
SizeofResource |  | Return the size of a particular resource
LockResource |  | Lock a resource
UnlockResource |  | Unlock a previously locked resource
FreeResource |  | Free a loaded resource

Documentation generated on: Feb 26 2014